# dcc.recv

Sets up a file receiving connection

Syntax

    dcc.recv [-s] [-t] [-u] [-b] [-n] [-c] [-i=<interface>] [-p=<port>] [-m[=<boolean>]] <nickname> <filename> <remote file size>

Description

Sets up a connection ready to receive a file.
In most 'common' cases you will not need this command: you might want to use dcc.get instead.
This works like dcc.send but has two main differences: the file is INCOMING, and the CTCP sent to the other side is a CTCP RECV.
This command is the counterpart of dcc.send and its parameters are exactly the same, so please refer to that help page for the full discussion. This help page contains only a brief resume of these parameters.
The dcc documentation explains the DCC Recv subprotocol in detail.
Parameters:
-t: Assume the transfer will be a TDcc (send a TRECV instead of a RECV and use no acks).
-s: Assume the transfer will be based on the Secure Sockets Layer (send a SRECV or a TSRECV instead of a RECV or a TRECV) -m=<boolean>: Force window minimize if boolean evaluates to 1
-b: Blind transfer (no acks)
-n: send no CTCP request
-u: never timeout
-i=<interface>: listen on this interface (interface may be an IP address or a local interface name)
-p=<port>: listen on this port
-a=<fake ip>: send this fake IP address in the request
-f=<fake port>: send this fake port in the request
-c: accepted for compatibility (don't use it :)

Main index, Command index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004